public
Created

Gemspec for SCL

  • Download Gist
scl.gemspec
Ruby
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
 
Gem::Specification.new do |s|
s.name = "scl"
s.version = "0.0.1"
 
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Rob Aldred"]
s.date = "2011-10-28"
s.description = "SCL is a command-line client for manipulating Streamtime time."
s.email = "raldred@gmail.com"
s.executables = ["scl"]
s.extra_rdoc_files = [
"README.markdown"
]
s.files = [
"Gemfile",
"Gemfile.lock",
"README.markdown",
"Rakefile",
"VERSION",
"bin/scl",
"lib/scl/cache.rb",
"lib/scl/cli.rb",
"lib/scl/commands.rb",
"lib/scl/core_ext.rb",
"lib/scl/day_entry.rb",
"lib/scl/job.rb",
"lib/scl/streamtime_resource.rb",
"lib/scl/task.rb",
"lib/scl/utilities.rb",
"pkg/scl-0.0.1.gem",
"scl.gemspec",
"streamtimer_commands"
]
s.homepage = "http://robaldred.co.uk/scl"
s.licenses = ["Apache"]
s.require_paths = ["lib"]
s.rubygems_version = "1.8.10"
s.summary = "Streamtime management via command-line"
 
if s.respond_to? :specification_version then
s.specification_version = 3
 
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<trollop>, ["~> 1.16.2"])
s.add_runtime_dependency(%q<chronic>, ["~> 0.6.4"])
s.add_runtime_dependency(%q<highline>, ["~> 1.6.2"])
s.add_runtime_dependency(%q<activesupport>, ["~> 3.1"])
s.add_runtime_dependency(%q<actionpack>, ["~> 3.1"])
s.add_runtime_dependency(%q<colorize>, ["~> 0.5.8"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.6.4"])
s.add_development_dependency(%q<rcov>, [">= 0"])
s.add_development_dependency(%q<rspec>, ["~> 2.0"])
else
s.add_dependency(%q<trollop>, ["~> 1.16.2"])
s.add_dependency(%q<chronic>, ["~> 0.6.4"])
s.add_dependency(%q<highline>, ["~> 1.6.2"])
s.add_dependency(%q<activesupport>, ["~> 3.1"])
s.add_dependency(%q<actionpack>, ["~> 3.1"])
s.add_dependency(%q<colorize>, ["~> 0.5.8"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.0"])
end
else
s.add_dependency(%q<trollop>, ["~> 1.16.2"])
s.add_dependency(%q<chronic>, ["~> 0.6.4"])
s.add_dependency(%q<highline>, ["~> 1.6.2"])
s.add_dependency(%q<activesupport>, ["~> 3.1"])
s.add_dependency(%q<actionpack>, ["~> 3.1"])
s.add_dependency(%q<colorize>, ["~> 0.5.8"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.0"])
end
end

Please sign in to comment on this gist.

Something went wrong with that request. Please try again.